#ifndef __GUIINTERFACE_H__
#define __GUIINTERFACE_H__

#ifdef __cplusplus
extern "C" {
#endif

/* Calls provided by the Qt frontend */
void SetHostList(char ** list, int listlen);
void MonitorSocketRead(int socknum);

void PingAgain(int timeout);

void DoExit(int value);

/* Calls provided by the chooser core */
void DoAcceptQt(const char *name);
void DoCancelQt();
void DoPingQt();
char DoCheckWillingQt(const char *name);

int InitXDMCP (int argc, char *argv[]);
void ReceivePacketQt();

void PingHostsQt();

#ifdef __cplusplus
}
#endif

#endif
